For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
      • The study object
      • GETList all studies
      • POSTCreate a draft study
      • GETList all studies in a project
      • GETRetrieve a study
      • DELDelete a study
      • PATCHUpdate a study
      • POSTTransition a study's status
      • POSTCreate a test study
      • GETGet taskflow progress
      • GETShow Study cost
      • GETList study submissions
      • GETCount study submissions by status
      • GETDownload credential usage report
      • GETDownload demographic data
      • POSTExport demographic data
      • GETGet demographic export history
      • POSTDuplicate a study
      • GETShow Study predicted recruitment time
      • POSTShow Study predicted recruitment time
      • POSTCalculate the study cost
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceStudies

Show Study cost

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/studies/:id/cost/
GET
/api/v1/studies/:id/cost/
$curl https://api.prolific.com/api/v1/studies/id/cost/ \
> -H "Authorization: Token <token>"
1{
2 "rewards": {
3 "rewards": {
4 "amount": 100,
5 "currency": "USD"
6 },
7 "fees": {
8 "amount": 100,
9 "currency": "USD"
10 },
11 "tax": {
12 "amount": 100,
13 "currency": "USD"
14 }
15 },
16 "bonuses": {
17 "rewards": {
18 "amount": 100,
19 "currency": "USD"
20 },
21 "fees": {
22 "amount": 100,
23 "currency": "USD"
24 },
25 "tax": {
26 "amount": 100,
27 "currency": "USD"
28 }
29 },
30 "_links": {}
31}
Returns cost information about the study. Default behaviour is to return cost at the time of the request, but projected cost can be requested via a query parameter.
Was this page helpful?
Previous

Get taskflow progress

Next

List study submissions

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

idstringRequired
Study id

Query parameters

is_projectedbooleanOptionalDefaults to false
Return the projected cost of the study

Response

Return the total cost for the study
rewardsobject
bonusesobject
_linksmap from strings to any

Errors

4XX
Client Request Error